set File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_EXPERIMENTAL_SET

## Typedefs

template<typename _Key , typename _Compare = less<_Key>>
using | std::experimental::fundamentals_v2::pmr::multiset = std::multiset< _Key, _Compare, polymorphic_allocator< _Key > >
template<typename _Key , typename _Compare = less<_Key>>
using | std::experimental::fundamentals_v2::pmr::set = std::set< _Key, _Compare, polymorphic_allocator< _Key > >

## Functions

template<typename _Key , typename _Compare , typename _Alloc , typename _Predicate >
void | std::experimental::erase_if (multiset< _Key, _Compare, _Alloc > &__cont, _Predicate __pred)
template<typename _Key , typename _Compare , typename _Alloc , typename _Predicate >
void | std::experimental::erase_if (set< _Key, _Compare, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/set.

## Macro Definition Documentation

## _GLIBCXX_EXPERIMENTAL_SET

#define _GLIBCXX_EXPERIMENTAL_SET

Definition at line 30 of file experimental/set.

## Typedef Documentation

## multiset

template<typename _Key , typename _Compare = less<_Key>>

using std::experimental::fundamentals_v2::pmr::multiset = typedef std::multiset<_Key, _Compare, polymorphic_allocator<_Key> >

Definition at line 65 of file experimental/set.

## set

template<typename _Key , typename _Compare = less<_Key>>

using std::experimental::fundamentals_v2::pmr::set = typedef std::set<_Key, _Compare, polymorphic_allocator<_Key> >

Definition at line 62 of file experimental/set.

## Function Documentation

## erase_if() [1/2]

template<typename _Key , typename _Compare , typename _Alloc , typename _Predicate >

void std::experimental::fundamentals_v2::erase_if | ( | multiset< _Key, _Compare, _Alloc > & | __cont,
|  | _Predicate | __pred
| ) |  |

inline

Definition at line 57 of file experimental/set.

## erase_if() [2/2]

template<typename _Key , typename _Compare , typename _Alloc , typename _Predicate >

void std::experimental::fundamentals_v2::erase_if | ( | set< _Key, _Compare, _Alloc > & | __cont,
|  | _Predicate | __pred
| ) |  |

inline

Definition at line 51 of file experimental/set.